Bug 476859 - KDE screensaver hangs up after desktop gets locked
KDE screensaver hangs up after desktop gets locked
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-12-17 10:44 EST by Amit Shah
Modified: 2009-02-04 08:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-04 08:26:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Amit Shah 2008-12-17 10:44:01 EST
Description of problem:
I did a fresh install of F10 via the network, selected only KDE on my ThinkPad X200 laptop. I configured some power saving modes to auto-start screensaver (and lock it) and also suspend the display after some time of inactivity.

When the screen gets locked, I start typing in my password to unlock it but keyboard freezes then. I can use the mouse but can't click on any of the buttons (Switch User, Unlock, Cancel). No keyboard input works, so I can't get rid of X, can't switch to a console, etc.

I can remotely log into the laptop. Killing kblankscreen.kss, etc., doesn't help.

After this happens, the display stays lit and the screensaver doesn't kick in any more.

Version-Release number of selected component (if applicable):
Uses the fedora-updates repo, so KDE 4.1.3
Comment 1 Rex Dieter 2008-12-17 10:48:56 EST
rpm -q dbus kdebase-workspace

If not at dbus-1.2.4-2, please try updating to see if that helps (may require a reboot),
Comment 2 Amit Shah 2008-12-17 10:57:04 EST
$ rpm -q dbus kdebase-workspace
Comment 3 Rex Dieter 2008-12-17 11:18:26 EST
Please update to dbus-1.2.4-2, and let us know if that helps or not.
Comment 4 Amit Shah 2008-12-18 09:25:07 EST
You mean downgrade to dbus-1.2.4?

In the meantime, someone pointed out that compiz and the intel X video driver don't play well and that this is a known bug (I can't find the reference). I've disabled desktop effects and the system seems to work fine. I'll note here if I can provide new information.
Comment 5 Kevin Kofler 2008-12-18 09:29:51 EST
dbus-1.2.4-2 has Epoch: 1 and thus this is an upgrade to a higher EVR. It was reverted because of the high amount of breakage the 1.2.6 and 1.2.8 versions caused.
Comment 6 Lukáš Tinkl 2008-12-18 10:13:27 EST
[ltinkl@localhost ~]$ rpm -q dbus kdebase-workspace

I have the above and both locking and unlocking works correctly for me
Comment 7 Steven M. Parrish 2009-01-09 16:21:59 EST
Reporter, have you tried this recently and is it working?
Comment 8 Amit Shah 2009-01-10 00:21:58 EST
I think it was the desktop effects. After disabling, I've not had any problems.

Note You need to log in before you can comment on or make changes to this bug.